#!/bin/sh

# wrapper script for cvs2cl.pl 
# by hvr
# 
# $Id: log_gen.sh,v 1.2.2.1 2002/10/26 09:55:17 prime Exp $

CVS2CL=cvs2cl
CVS2CL_OPTS="--utc -w -I ChangeLog -U ./cvs2cl_users.map"

#
echo CVS 2 ChangeLog wrapper

if [ ! -f ./ChangeLog ]
 then
   echo "no ./ChangeLog found, maybe wrong dir?"
   exit 2;
fi

if ! which $CVS2CL &> /dev/null
 then
   echo "$CVS2CL not found, aborting :-("
   exit 2;
fi

echo "running cvs2cl..."
$CVS2CL $CVS2CL_OPTS

echo "press enter to continue to commit ChangeLog to cvs"

if ! read
 then
   echo "ChangeLog not committed to CVS -- aborted..."
   exit 1;
fi

echo "commiting to cvs..."

cvs -z3 -q commit -m "ChangeLog update (by log_gen.sh)" ChangeLog

echo "done"

exit 0
