/*   group.h
 *
 *   This file is part of FTP4ALL
 * 
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern int group_dirty;

gint32 get_gid(char* name);
struct group_s* get_group_by_gid(gint32 gid);
struct group_s* get_group_by_name(char* name);
int get_groupname(gint32 gid, char* name, size_t namelen);
int get_group(char* p);
int load_group_file(const char* filename, int force);
int save_group_file(const char* filename);

/* EOF */
