/* ---------------------------------------------------------------------------
 *
 *   This file is part of OpenFTPD (based on FTP4ALL)
 *   (C) 1996-2000 by Crescent, (C) 2000 by the OpenFTPD Team
 *
 * ---------------------------------------------------------------------------
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 * ---------------------------------------------------------------------------
 *   HEADER: serverd.h
 * ---------------------------------------------------------------------------
 */

int parse_command(char* p, char** param, int size, int max, int* n);
void server_reply(struct child_s* c, const char* reply);
int child_communication(int fd, void* ptr);
void child_logout(struct child_s* c, int exitcode);
int create_home(int id, int gid, char *dir, char *str, int size);
int get_grp_umask(gint32 gid);
char* get_hostname(const long ipaddr);
char* get_filename(char *path);

/* EOF */
